Subject: Re: Trying to use AUTHOR_DATE

From: "H. Peter Anvin" <[email-masked]>
Date: Fri, 29 Apr 2005 20:49:53 -0700

Luck, Tony wrote:
>>Another dependency :-(   I can live without http-pull but not
>>without commit-tree.
> 
> Yes, the extra dependency sucks ... libcurl is missing from one of
> the systems that I'd like to use GIT on ... so I'd prefer a solution
> that doesn't involve libcurl.

...

> I'd much rather see your version fixed up to preserve the timezone
> than have the libcurl dependency.

For gawd's sake people, just grab a copy of the working code in libcurl, 
and turn it into a standalone .c file.  It'll even let you merge in 
future fixes, and you could even use autoconf to use libcurl or the 
standalone code depending on what's available.

	-hpa